[lxc-devel] [PATCH 1/4] download: Fix download_sig logic
Stéphane Graber
stgraber at ubuntu.com
Tue Jan 14 20:04:50 UTC 2014
Signed-off-by: Stéphane Graber <stgraber at ubuntu.com>
---
templates/lxc-download.in | 19 +++++++++++++------
1 file changed, 13 insertions(+), 6 deletions(-)
diff --git a/templates/lxc-download.in b/templates/lxc-download.in
index fa54686..4f28d0c 100644
--- a/templates/lxc-download.in
+++ b/templates/lxc-download.in
@@ -73,10 +73,17 @@ download_file() {
}
download_sig() {
- download_file $1 $2 noexit
- if [ "$DOWNLOAD_VALIDATE" = "true" ]; then
- echo "ERROR: Failed to download http://${DOWNLOAD_SERVER}/$1" 1>&2
- exit 1
+ if ! download_file $1 $2 noexit; then
+ if [ "$DOWNLOAD_VALIDATE" = "true" ]; then
+ if [ "$3" = "normal" ]; then
+ echo "ERROR: Failed to download http://${DOWNLOAD_SERVER}/$1" 1>&2
+ exit 1
+ else
+ return 1
+ fi
+ else
+ return 0
+ fi
fi
}
@@ -268,11 +275,11 @@ if [ "$DOWNLOAD_USE_CACHE" = "false" ]; then
echo "Downloading the image index"
if ! download_file ${DOWNLOAD_INDEX_PATH}.${DOWNLOAD_COMPAT_LEVEL} \
${DOWNLOAD_TEMP}/index noexit ||
- ! download_file ${DOWNLOAD_INDEX_PATH}.${DOWNLOAD_COMPAT_LEVEL}.asc \
+ ! download_sig ${DOWNLOAD_INDEX_PATH}.${DOWNLOAD_COMPAT_LEVEL}.asc \
${DOWNLOAD_TEMP}/index.asc noexit; then
download_file ${DOWNLOAD_INDEX_PATH} ${DOWNLOAD_TEMP}/index normal
download_sig ${DOWNLOAD_INDEX_PATH}.asc \
- ${DOWNLOAD_TEMP}/index.asc
+ ${DOWNLOAD_TEMP}/index.asc normal
fi
gpg_validate ${DOWNLOAD_TEMP}/index.asc
--
1.8.5.2
More information about the lxc-devel
mailing list